#include "xpathbasenode.h"
#include "qvectornd.h"

XPathBaseNode::XPathBaseNode()
    : XAsset()
    , mOrigin()
    , mType(0)
{
    SetName("Path Base Node");
}

XPathBaseNode::~XPathBaseNode()
{

}

void XPathBaseNode::ParseData(XDataStream *aStream) {
    if (GetPtr() == -1) {
        *aStream
            >> mOrigin[0]
            >> mOrigin[1]
            >> mOrigin[2]
            >> mType;
    }
}

void XPathBaseNode::Clear()
{
    mOrigin = QVector3D();
    mType = 0;
}
